OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
PagedArray< ValueT, Log2PageSize, TableT >::Iterator Class Reference

`#include <PagedArray.h>`

Inherits iterator< std::random_access_iterator_tag, ValueT >.

## Public Types
using | BaseT = std::iterator< std::random_access_iterator_tag, ValueT >
using | difference_type = typename BaseT::difference_type

## Public Member Functions
| Iterator ()
| Iterator (PagedArray &parent, size_t pos=0)
| Iterator (const Iterator &other)
Iterator & | operator= (const Iterator &other)
Iterator & | operator++ ()
Iterator & | operator-- ()
Iterator | operator++ (int)
Iterator | operator-- (int)
ValueT & | operator* () const
ValueT * | operator-> () const
ValueT & | operator[] (const difference_type &pos) const
Iterator & | operator+= (const difference_type &pos)
Iterator & | operator-= (const difference_type &pos)
Iterator | operator+ (const difference_type &pos) const
Iterator | operator- (const difference_type &pos) const
difference_type | operator- (const Iterator &other) const
bool | operator== (const Iterator &other) const
bool | operator!= (const Iterator &other) const
bool | operator>= (const Iterator &other) const
bool | operator<= (const Iterator &other) const
bool | operator< (const Iterator &other) const
bool | operator> (const Iterator &other) const
bool | isValid () const
size_t | pos () const

## Member Typedef Documentation

## ◆ BaseT

using BaseT = std::iterator<std::random_access_iterator_tag, ValueT>

## ◆ difference_type

using difference_type = typename BaseT::difference_type

## Constructor & Destructor Documentation

## ◆ Iterator() [1/3]

Iterator | ( |  | ) |
| inline

## ◆ Iterator() [2/3]

Iterator | ( | PagedArray & | parent,
|  | size_t | pos = `0`
| ) |  |
| inline

## ◆ Iterator() [3/3]

Iterator | ( | const Iterator & | other | ) |
| inline

## Member Function Documentation

## ◆ isValid()

bool isValid | ( |  | ) | const
| inline

## ◆ operator!=()

bool operator!= | ( | const Iterator & | other | ) | const
| inline

## ◆ operator*()

ValueT& operator* | ( |  | ) | const
| inline

## ◆ operator+()

Iterator operator+ | ( | const difference_type & | pos | ) | const
| inline

## ◆ operator++() [1/2]

Iterator& operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

Iterator operator++ | ( | int |  | ) |
| inline

## ◆ operator+=()

Iterator& operator+= | ( | const difference_type & | pos | ) |
| inline

## ◆ operator-() [1/2]

Iterator operator- | ( | const difference_type & | pos | ) | const
| inline

## ◆ operator-() [2/2]

difference_type operator- | ( | const Iterator & | other | ) | const
| inline

## ◆ operator--() [1/2]

Iterator& operator-- | ( |  | ) |
| inline

## ◆ operator--() [2/2]

Iterator operator-- | ( | int |  | ) |
| inline

## ◆ operator-=()

Iterator& operator-= | ( | const difference_type & | pos | ) |
| inline

## ◆ operator->()

ValueT* operator-> | ( |  | ) | const
| inline

## ◆ operator<()

bool operator< | ( | const Iterator & | other | ) | const
| inline

## ◆ operator<=()

bool operator<= | ( | const Iterator & | other | ) | const
| inline

## ◆ operator=()

Iterator& operator= | ( | const Iterator & | other | ) |
| inline

## ◆ operator==()

bool operator== | ( | const Iterator & | other | ) | const
| inline

## ◆ operator>()

bool operator> | ( | const Iterator & | other | ) | const
| inline

## ◆ operator>=()

bool operator>= | ( | const Iterator & | other | ) | const
| inline

## ◆ operator[]()

ValueT& operator[] | ( | const difference_type & | pos | ) | const
| inline

## ◆ pos()

size_t pos | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- PagedArray.h